## com.sun.grizzly.async
Class UDPAsyncQueueReader

    java.lang.Object
      com.sun.grizzly.async.AbstractAsyncQueueReader
          com.sun.grizzly.async.UDPAsyncQueueReader

All Implemented Interfaces:
  AsyncQueueReader

    public class UDPAsyncQueueReader

extends AbstractAsyncQueueReader

Author:
  Alexey Stashok

Constructor Summary
`UDPAsyncQueueReader(SelectorHandler selectorHandler)`

Method Summary
`protected SocketAddress` `doRead(ReadableByteChannel channel, ByteBuffer byteBuffer, AsyncQueueDataProcessor readPostProcessor)`

Methods inherited from class com.sun.grizzly.async.AbstractAsyncQueueReader
`close, isAsyncQueueReaderEnabledFor, onClose, onRead, read, read, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDPAsyncQueueReader

    public UDPAsyncQueueReader(SelectorHandler selectorHandler)

Method Detail

### doRead

    protected SocketAddress doRead(ReadableByteChannel channel,
                                   ByteBuffer byteBuffer,
                                   AsyncQueueDataProcessor readPostProcessor)
                            throws IOException

  Specified by:
    `doRead` in class `AbstractAsyncQueueReader`
  Throws:
    `IOException`

Copyright © 2008 SUN Microsystems. All Rights Reserved.